Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Managed Service for Valkey™
  • Getting started
  • Access management
  • Pricing policy
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Delete
        • Start
        • Stop
        • Move
        • Backup
        • Restore
        • RescheduleMaintenance
        • StartFailover
        • ListLogs
        • StreamLogs
        • ListOperations
        • ListBackups
        • ListHosts
        • AddHosts
        • DeleteHosts
        • UpdateHosts
        • GetShard
        • ListShards
        • AddShard
        • DeleteShard
        • Rebalance
        • EnableSharding
        • ListAccessBindings
        • SetAccessBindings
        • UpdateAccessBindings
  • Monitoring metrics
  • Audit Trails events
  • Public materials
  • Release notes
  • FAQ

In this article:

  • HTTP request
  • Path parameters
  • Response
  1. API reference
  2. REST
  3. Cluster
  4. GetShard

Managed Service for Redis API, REST: Cluster.GetShard

Written by
Yandex Cloud
Updated at June 1, 2026
  • HTTP request
  • Path parameters
  • Response

Returns the specified shard.

HTTP requestHTTP request

GET https://mdb.api.cloud.yandex.net/managed-redis/v1/clusters/{clusterId}/shards/{shardName}

Path parametersPath parameters

Field

Description

clusterId

string

Required field. ID of the Redis cluster the shard belongs to.
To get the cluster ID use a ClusterService.List request.

The maximum string length in characters is 50.

shardName

string

Required field. Name of Redis shard to return.
To get the shard name use a ClusterService.ListShards request.

The maximum string length in characters is 63. Value must match the regular expression [a-zA-Z0-9_-]*.

ResponseResponse

HTTP Code: 200 - OK

{
  "name": "string",
  "clusterId": "string"
}

Field

Description

name

string

Required field. Name of the Redis shard. The shard name is assigned by user at creation time, and cannot be changed.
1-63 characters long.

clusterId

string

Required field. ID of the Redis cluster the shard belongs to. The ID is assigned by MDB at creation time.

Was the article helpful?

Previous
UpdateHosts
Next
ListShards
© 2026 Direct Cursus Technology L.L.C.